checkRequire("Lua_CloundBuyHistoryItem");
Lua_CloundBuyHistoryWindow = class("Lua_CloundBuyHistoryWindow", Lua_Window);
function Lua_CloundBuyHistoryWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CloundBuyHistoryWindow";
	self.skinName = "CloundBuyHistoryWindow_skin";
end

function Lua_CloundBuyHistoryWindow:buildShowItem()
	self:superCall("buildShowItem");

	self:addLuaEvent("CLOUND_BUY_HISTROY", self, self.onHistory);

	self.rankList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 890, 340));
    self.rankList:setListCell(Lua_CloundBuyHistoryItem, 95, 890, 1);
    self.rankList:setLocation(0, -50, 0);

    sendMsg(10105203);
end

function Lua_CloundBuyHistoryWindow:onHistory(msg)
	local arr = Array();
	for i,v in ipairs(msg.reward_list) do
		arr:add({
			index = v.cycle,
			role_id = v.role_id,
			role_name = v.role_name,
			item_id = v.item_id,
			reward_tick = v.reward_tick
		});
	end
	self.rankList:setLuaArrayData(arr);
end