Lua_CloundBuyHistoryItem = class("Lua_CloundBuyHistoryItem", Lua_ListCell);
function Lua_CloundBuyHistoryItem:ctor(p)
	self:superCall("ctor", p, "CloundBuyHistoryItem_skin");
end

function Lua_CloundBuyHistoryItem:buildShowItem()
	self:superCall("buildShowItem");

	self.img = Lua_ToolImage.new(self.content);
	self.img:setDepth(2);
	self.img:setLocation(-135, 0, 0)
end

function Lua_CloundBuyHistoryItem:setData(data)
	self._data = data;

	self.qiTxt.text = LanUtil.formateStr(LanUtil.getValue(124221),tostring(data.index));
	
	local rid = tonumber(data.role_id);
	if rid == 0 then
		self.nameTxt.text = LanUtil.getValue(20);
	else
		self.nameTxt.text = data.role_name;
	end
	
	self.timeTxt.text = TimeTransform.getFormatNormalTime2(tostring(data.reward_tick));
	
	local tvo = Lua_ToolVo.createToolVo(data.item_id.id, 1, 0);
	tvo:fromServer(data.item_id);
	self.img.data = tvo;
end